/*============================================================================
  File:     MARS_Deadlock_trigger.sql 

  Date:     Nov 2006

  SQL Server Version: 9.0.2153
------------------------------------------------------------------------------
  Copyright (C) 2006 Bob Beauchemin, SQLskills, Inc.
  All rights reserved.

  For more scripts and sample code, check out 
    http://www.SQLskills.com

  This script is intended only as a supplement to demos and lectures
  given by Bob Beauchemin.  
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

USE pubs
go

-- We first need this trigger on jobs
--
drop trigger jobtrig
go

create trigger jobtrig
 on jobs for update
as
begin
  -- needs to be a large resultset
  select e.job_id, e.*, j.* from employee e, jobs j, northwind.dbo.orders o
end
go
