/*============================================================================
  File:     Transaction_examples2.sql (second sid)

  Date:     Nov 2006

  SQL Server Version: 9.0.2153
------------------------------------------------------------------------------
  Copyright (C) 2006 Bob Beauchemin, SQLskills, Inc.
  All rights reserved.

  For more scripts and sample code, check out 
    http://www.SQLskills.com

  This script is intended only as a supplement to demos and lectures
  given by Bob Beauchemin.  
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/


use pubs
go

-- 7. isolation levels (second connection/sid)
select * from authors where au_lname = 'jones'

set transaction isolation level read uncommitted
select * from authors

use master
alter database pubs set allow_snapshot_isolation on 
go

use pubs
go

-- after allowing transaction level snapshot
set transaction isolation level snapshot
begin tran
select * from authors
select * from authors
commit

use master
alter database pubs set read_committed_snapshot off 
go

use pubs
go

-- after allowing statement level snapshot
set transaction isolation level read committed
begin tran
select * from authors
select * from authors
commit

select * from sys.databases

-- set it back off
use master
alter database pubs set read_committed_snapshot off 
go

begin tran
exec myproc
commit