using System;
using System.Collections.Generic;
using System.Text;
using System.Data.SqlClient;

namespace MARSVersion
{
    class Program
    {
        static void Main(string[] args)
        {
            // There must be a transaction
            SqlTransaction tx = null;

            using (SqlConnection conn = new SqlConnection("server=.;integrated security=sspi;database=northwind;multipleactiveresultsets=true"))
            using (SqlCommand cmd1 = new SqlCommand())
            using (SqlCommand cmd2 = new SqlCommand())
            {
                cmd1.CommandText = "select * from orders;select * from orders";
                cmd2.CommandText = "update orders set employeeid = 4 where orderid = 10248";
                cmd1.Connection = cmd2.Connection = conn;

                conn.Open();
                tx = conn.BeginTransaction();
                cmd1.Transaction = tx; cmd2.Transaction = tx;
                SqlDataReader rdr1 = cmd1.ExecuteReader();
                rdr1.Read();
                Console.WriteLine(rdr1[0]);
                
                // rows kept in version store for UPDATEs and DELETEs
                // for MARS transaction
                // with a rowset operation pending
                cmd2.ExecuteNonQuery();

                // to see these:

                // Check that RCSI is NOT turned on (that uses version store for a different reason)
                // select * from sys.dm_tran_version_store
                // select * from sys.dm_tran_top_version_generators
                rdr1.NextResult();
                rdr1.Read();
                rdr1.Close();
                tx.Commit();
            }
        }
    }
}
