using System;
using System.Collections.Generic;
using System.Text;
using System.Data.SqlClient;
using System.Data;

namespace MARS_Simple
{
    class Program
    {
        static void Main(string[] args)
        {
            //NoMARS();
            YesMARS();
        }

        static void NoMARS()
        {
            SqlConnection conn = new SqlConnection(
              "server=.;integrated security=sspi;database=pubs");
            SqlCommand cmd1 = new SqlCommand(
              "select * from authors",conn);
            SqlCommand cmd2 = new SqlCommand(
              "select * from jobs",conn);

            conn.Open();
            SqlDataReader rdr1 = cmd1.ExecuteReader();
            Console.WriteLine("got first reader");

            // second reader, same connection  Error here
            SqlDataReader rdr2 = cmd2.ExecuteReader();

            // attempt to use both readers, but never get to here
            rdr1.Read();
            rdr2.Read();

        }

        static void YesMARS()
        {
            // MARS is not the default with SQL Server 2005 DB
            SqlConnection conn = new SqlConnection(
            "server=.;integrated security=sspi;database=pubs;");
            conn.ConnectionString += "multipleactiveresultsets=true";

            SqlCommand cmd = new SqlCommand("select * from authors",conn);

            // must use a separate SqlCommand instance
            SqlCommand cmd2 = new SqlCommand("select * from jobs",conn);
            conn.Open();
            SqlDataReader rdr = cmd.ExecuteReader();

            // second reader, same connection - THIS DOES WORK
            SqlDataReader rdr2 = cmd2.ExecuteReader();
            rdr2.Read();
            rdr.Read(); 
            // both readers on same connection
            Console.WriteLine(rdr[0]);
            Console.WriteLine(rdr2[0]);

        }
    }
}
