using System;
using System.Collections.Generic;
using System.Text;
using System.Data.SqlClient;
using System.Data;

namespace MARStx2
{
    class Program
    {
        static void Main(string[] args)
        {
            /*
            USE tempdb;
            GO
            CREATE TABLE TestMARS (ID INT NOT NULL PRIMARY KEY,VAL INT);
            GO
            INSERT INTO TestMARS (ID, VAL) VALUES (1,10);
            INSERT INTO TestMARS (ID, VAL) VALUES (2,20);
            INSERT INTO TestMARS (ID, VAL) VALUES (3,30);
            GO
            */
            SqlConnection conn = new SqlConnection();
            conn.ConnectionString = "data source=(local);initial catalog=tempdb;" +
                                   "Integrated Security=SSPI;" +
                                   "MultipleActiveResultSets=True;";
            string sql1 = "BEGIN TRANSACTION; " +
                         "SELECT * FROM TestMARS;" +
                         "INSERT INTO TestMARS (ID,VAL) VALUES(4,40);";
            //string sql2 = "UPDATE TestMARS SET VAL=@v WHERE ID=@id;";
            string sql2 = "UPDATE TestMARS SET VAL=@v + @@trancount WHERE ID=@id;select @v + @@trancount";

            SqlCommand comm1 = new SqlCommand(sql1, conn);
            SqlCommand comm2 = new SqlCommand(sql2, conn);
            SqlCommand comm3 = new SqlCommand("select @@trancount", conn);
            // add parameters for the second command
            comm2.Parameters.Add("@v", SqlDbType.Int);
            comm2.Parameters.Add("@id", SqlDbType.Int);

            conn.Open();
            SqlDataReader dr1 = comm1.ExecuteReader();
            // update each row by increasing the value of VAL column by 10

            while (dr1.Read())
            {
            //int i = (int)comm3.ExecuteScalar();
            comm2.Parameters["@v"].Value = (int)dr1["VAL"] + 10;
            comm2.Parameters["@id"].Value = (int)dr1["ID"];
            int i = (int)comm2.ExecuteScalar();

            Console.WriteLine("during while loop " + i);

            }

            // clean-up
            dr1.Close();
            conn.Close();
            comm1.Dispose();
            comm2.Dispose();
        }
    }
}
